## Step by step
1. Boot the [installer](https://nixos.org/download.html#nixos-iso)

2. Get disk name 
```
$ lsblk
```

3. Get disko config
```
$ curl https://git.kabtop.de/Kabbone/nixos-config/raw/branch/main/disko/btrfs_luks.nix -o /tmp/disko-config.nix
```

4. Adjust device name

5. Let disko partition the disk
```
$ sudo nix --experimental-features "nix-command flakes" run github:nix-community/disko -- --mode disko /tmp/disko-config.nix
```

6. Check if it got mounted
```
$ mount | grep /mnt
```

7. Continue with NixOS installation
Filesystem definitions come from disko, hence "--no-filesystems"
```
$ nixos-generate-config --no-filesystems --root /mnt
$ mv /tmp/disko-config.nix /mnt/etc/nixos
```

**Alternative:** continue with normal hardware-config
```
$ nixos-generate-config --root /mnt
```

